#!/bin/sh
# Copyright (C)2012 @BABOLO http://www.babolo.ru/
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: make.sh,v 1.2 2012/08/20 18:49:34 babolo Exp $

case $1 in
install)
    mount -o remount,rw /dev/sda1/
    install -m 0555 -g 0 -o 0 bin/index /var/www/apache2-default/cgi-bin/index.cgi
    install -m 0555 -g 0 -o 0 serv/commad /usr/local/bin/commad
    umount /
    ;;
*)
    cd bin
    cc -O2 -fno-strict-aliasing -pipe -g -Wall -I../inc -DVERS=\"0.00\" -DDATE=\"27-Jul-2012\" -DPREFIX=\"/usr/local\" -c index.c
    cc index.o -lrt -o index
    cd ../serv
    cc -O2 -fno-strict-aliasing -pipe -g -Wall -I../inc -DVERS=\"0.00\" -DDATE=\"27-Jul-2012\" -DPREFIX=\"/usr/local\" -c commad.c
    cc commad.o -o commad
    ;;
esac
